curl --request GET \
--url https://api.syntage.com/invoices/batch-payments/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/invoices/batch-payments/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/invoices/batch-payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/InvoiceBatchPayment",
"@id": "/invoices/batch-payments/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InvoiceBatchPayment",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"date": "2023-11-07T05:31:56Z",
"paymentMethod": "04",
"currency": "MXN",
"exchangeRate": 19.8,
"amount": -53249.8,
"operationNumber": "1022030122",
"beneficiaryBank": {
"rfc": "IIA040805DZ4",
"accountNumber": "12343453245633"
},
"payerBank": {
"rfc": "IIA040805DZ4",
"name": "International bank",
"accountNumber": "12343453245633"
},
"payments": [
{
"@id": "/invoices/payments/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "InvoicePayment",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"invoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"currency": "MXN",
"exchangeRate": 19.8,
"installment": 3,
"previousBalance": 53249.8,
"amount": -53249.8,
"outstandingBalance": 0,
"invoice": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"batchPayment": "/invoices/batch-payments/91106968-1abd-4d64-85c1-4e73d96fb997",
"canceledAt": "2023-11-07T05:31:56Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"invoice": {
"@id": "/invoices/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Invoice",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"uuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"version": 3.3,
"reference": "Branch-A",
"internalIdentifier": "00001",
"usage": "G03",
"paymentType": "PUE",
"paymentMethod": "04",
"paymentTerms": "immediate_payment",
"placeOfIssue": "01210",
"issuer": {
"rfc": "AOM920820BEA",
"name": "APPLE OPERATIONS MEXICO S.A. DE C.V.",
"taxRegime": 601,
"blacklistStatus": null
},
"isIssuer": true,
"receiver": {
"rfc": "PEIC211118IS0",
"name": "Pedro Infante Cruz",
"blacklistStatus": "presumed"
},
"isReceiver": false,
"currency": "MXN",
"discount": 3324,
"tax": 5224,
"subtotal": 51349.8,
"creditedAmount": 31.32,
"subtotalCreditedAmount": 27,
"total": 53249.8,
"exchangeRate": 19.8,
"paidAmount": 53249.8,
"dueAmount": 0,
"lastPaymentDate": "2023-11-07T05:31:56Z",
"fullyPaidAt": "2023-11-07T05:31:56Z",
"paymentTermsRaw": "Tarjeta de crédito",
"status": "VIGENTE",
"pac": "SAT970701NN3",
"issuedAt": "2019-01-03T21:10:40.000Z",
"certifiedAt": "2019-01-03T21:10:41.000Z",
"cancellationStatus": "Cancelable con aceptación",
"cancellationProcessStatus": "En proceso",
"canceledAt": "2023-11-07T05:31:56Z",
"relations": [
{
"@id": "/invoices/relations/93a197e7-6baa-5dc5-bf8d-fb1645a770c1",
"@type": "InvoiceRelation",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": 7,
"invoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoice": "/invoices/92106967-2abd-5d64-95c2-4e73d96fb998",
"relatedInvoiceUuid": "def404af-5eef-4112-aa99-d1ec8493b89a",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"xml": true,
"pdf": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"tags": [
{
"@id": "/tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Tag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "To be reviewed",
"resourceType": "invoice",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
]
},
"canceledAt": "2023-11-07T05:31:56Z",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve an invoice batch payment
Retrieve an invoice batch payment by ID, including transaction-level payment details and related invoice payments.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Path Parameters
Response
Invoice batch payment resource response
Invoice Batch Payment IRI reference
"/invoices/batch-payments/91106968-1abd-4d64-85c1-4e73d96fb997"
Invoice batch payment ID
"91106968-1abd-4d64-85c1-4e73d96fb997"
Payment date
Payment method code from the c_FormaPago catalog
01, 02, 03, 04, 05, 06, 08, 12, 13, 14, 15, 17, 23, 24, 25, 26, 27, 28, 29, 30, 31, 99 "04"
ISO 4217 alphabetic currency code
3"MXN"
Set when currency is different than MXN
19.8
Total batch payment amount. Positive values are income for the entity; negative values are expenses.
-53249.8
Operation identifier, it is used for internal control
"1022030122"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date and time the payment receipt invoice was canceled
Date and time the resource was created
"2020-01-01T12:15:00.000Z"
Date and time the resource was last updated
"2020-01-01T12:15:00.000Z"
Was this page helpful?